Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
轮转 GitHub repository resource token。
POST /api/v1/cloud/sessions/{session_id}/resources/{resource_id}
github_repository
session_id
sess_
resource_id
sesr_
Authorization
Bearer $QODER_PAT
Content-Type
application/json
authorization_token
curl -X POST https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \ -H "Authorization: Bearer $QODER_PAT" \ -H "Content-Type: application/json" \ -d '{"authorization_token":"ghp_newtoken"}'
{ "id": "sesr_0e4323e8f47ba34853f5409e", "type": "github_repository", "url": "https://github.com/your-org/your-repo", "mount_path": "/data/workspace/your-repo", "checkout": {"type": "branch", "name": "main"}, "created_at": "2026-06-23T05:53:19.774840Z", "updated_at": "2026-06-23T06:01:42.124501Z" }
invalid_request_error
authentication_error
not_found_error
{ "type": "error", "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14", "error": { "type": "invalid_request_error", "message": "Field 'authorization_token' is required." } }
{ "type": "error", "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14", "error": { "type": "not_found_error", "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found." } }
{ "type": "error", "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14", "error": { "type": "not_found_error", "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found." } }